Skip to content
Start here

Export DNS Records

client.dns.records.export(RecordExportParams { zone_id } params, RequestOptionsoptions?): RecordExportResponse
GET/zones/{zone_id}/dns_records/export

You can export your BIND config through this endpoint.

See the documentation for more information.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
DNS ReadDNS Write
ParametersExpand Collapse
params: RecordExportParams { zone_id }
zone_id: string

Identifier.

maxLength32
ReturnsExpand Collapse
RecordExportResponse = string

Exported BIND zone file.

Export DNS Records

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.dns.records.export({ zone_id: '023e105f4ecef8ad9ca31a8372d0c353' });

console.log(response);
Returns Examples